Eclipse configuration - icommand.nxt not resolved

This is where you talk about the NXJ software itself, installation issues, and programming talk.

Moderators: 99jonathan, roger, imaqine

Eclipse configuration - icommand.nxt not resolved

Postby crispn » Sun Jul 22, 2007 5:02 pm

Hi folks.
I've set up Eclipse(3.2.2) with a new project and set the build path in the project properties to add the external jar and browsed to the icommand.jar that was downloaded and extracted (vsn 0.5).
However, when I try to use one of the downloaded samples - MoonBuggy.
I am getting a red cross on the 'import icommand.nxt.*;' - its not resolved. I think I've correctly followed the steps in the book and I can't see what I'm doing wrong. I can see the icomman.jar in the package explorer and can expand it, but there's not an icommand.nxt there. Should there be? - I can see icommand.nxtcomm, icommand.platform.nxt, icommand.robotics and icommand.vision.
I am aware that a new version of iCommand is to be released soon but I am not convince that the new version will fix this problem. I am new to Java and Eclipse, so probably missed something. Any help appreciated.
Thanks in advance.

-Nick
crispn
New User
 
Posts: 5
Joined: Sun Jul 22, 2007 4:44 pm
Location: Solihull, United Kingdom

Postby bbagnall » Tue Jul 24, 2007 3:24 am

The new version should fix the problem. The last release is from October last year and way out of date. Stay tuned - should be out in a number of days.
User avatar
bbagnall
Site Admin
 
Posts: 392
Joined: Fri Aug 04, 2006 4:03 pm

Postby crispn » Wed Jul 25, 2007 11:39 am

OK. Thanks Brian. I read on another thread that it's due very soon.
Great book by the way.
crispn
New User
 
Posts: 5
Joined: Sun Jul 22, 2007 4:44 pm
Location: Solihull, United Kingdom


Return to NXJ Software

Who is online

Users browsing this forum: Yahoo [Bot] and 4 guests

more stuff